Bug 6983 - Build with aio support fails on Debian Sarge
Build with aio support fails on Debian Sarge
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Build environment
unspecified
All Linux
: P3 normal
: ---
Assigned To: Volker Lendecke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-10 06:41 UTC by Karolin Seeger
Modified: 2011-05-14 09:36 UTC (History)
0 users

See Also:
gd: review+


Attachments
config.log.gz (170.32 KB, application/x-gzip)
2009-12-10 06:45 UTC, Karolin Seeger
no flags Details
Output of ./autogen.sh && ./configure --with-aio-support && make (15.91 KB, application/octet-stream)
2009-12-10 06:48 UTC, Karolin Seeger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karolin Seeger 2009-12-10 06:41:47 UTC
Build with aio support fails on Debian Sarge with:

sarge-i386[chroot]:~/build/samba/samba-3.5.0pre1/source3#./autogen.sh && ./configure --with-aio-support && make
[...]
creating /root/build/samba/samba-3.5.0pre1/source3/exports/libnetapi.syms
Linking shared library bin/libnetapi.so.0
lib/pthreadpool.o(.text+0x1ae): In function `pthreadpool_join_children':
: undefined reference to `pthread_join'
lib/pthreadpool.o(.text+0x685): In function `pthreadpool_add_job':
: undefined reference to `pthread_sigmask'
lib/pthreadpool.o(.text+0x6bd): In function `pthreadpool_add_job':
: undefined reference to `pthread_create'
lib/pthreadpool.o(.text+0x6e7): In function `pthreadpool_add_job':
: undefined reference to `pthread_sigmask'
collect2: ld returned 1 exit status
make: *** [bin/libnetapi.so.0] Error
Comment 1 Karolin Seeger 2009-12-10 06:45:56 UTC
Created attachment 5076 [details]
config.log.gz
Comment 2 Karolin Seeger 2009-12-10 06:48:01 UTC
Created attachment 5077 [details]
Output of ./autogen.sh && ./configure --with-aio-support && make
Comment 3 Karolin Seeger 2009-12-10 06:50:54 UTC
Works fine on Debian Etch (i386) and OpenSUSE 11.2 (i386).
Comment 4 Karolin Seeger 2010-01-27 10:16:07 UTC
Björn, 5439e1a0 fixes the issue on my box :-)
Comment 5 Björn Jacke 2010-01-29 07:00:13 UTC
great, can you please pick those patches to 3.5:

5439e1a03f66f
squash 6bade10a1eb216896
squash 1f7e97a8a257b3280
118725c892e445fcc
Comment 6 Björn Jacke 2010-01-29 07:22:51 UTC
wait a moment, the disabling of the default of pthread pool support leads to some build problem. Another fix will be needed ...
Comment 7 Volker Lendecke 2010-02-03 00:47:05 UTC
Björn, what's the status here? I have a review flag open for this, but the last comment says "build problem -- further patch needed".

Thanks,

Volker
Comment 8 Björn Jacke 2010-02-03 04:04:31 UTC
a20b43f23f2254edb1fcd6d3916dd57e6a4778ee
is another patch in the series but I want to wait for the Tru64 build bachine to re-appear in the buildfarm and watch that before giving the "go" here.
Comment 9 Björn Jacke 2010-02-04 04:19:14 UTC
latest patch set to fix pthread build:

5439e1a03f66f
squash 6bade10a1eb216896
squash 1f7e97a8a257b3280
squash a20b43f23f2254edb
squash acedd1c8320afa672
squash 55d65ba7213e5b307
118725c892e445fcc

Karolin, does that still completely build on the mentioned Debian system? If yes, Volker should finally review the patch set for merging to 3.5.
Comment 10 Karolin Seeger 2010-02-09 03:44:19 UTC
(In reply to comment #9)
> latest patch set to fix pthread build:
> 
> 5439e1a03f66f
> squash 6bade10a1eb216896
> squash 1f7e97a8a257b3280
> squash a20b43f23f2254edb
> squash acedd1c8320afa672
> squash 55d65ba7213e5b307
> 118725c892e445fcc
> 
> Karolin, does that still completely build on the mentioned Debian system? If
> yes, Volker should finally review the patch set for merging to 3.5.
> 

Yes, the build completed successfully. :-)
Volker, is there a chance to review the patches?
Comment 11 Volker Lendecke 2010-02-09 03:47:53 UTC
Can we get this as a patchset that is complete?

Thanks,

Volker
Comment 12 Volker Lendecke 2010-02-09 03:52:46 UTC
Don't have time right now, I'll review them later.

Volker
Comment 13 Guenther Deschner 2010-02-09 05:24:58 UTC
I really think fixing all the Unix builds is worth a goal for 3.5 when we have the patches already, adding myself for review.
Comment 14 Björn Jacke 2010-02-15 04:43:31 UTC
Günther, if you get this reviewed done today I'll go only for you into the office to get the remote control :-).
Comment 15 Guenther Deschner 2010-02-15 07:05:20 UTC
Patchset looks fine to me.
Comment 16 Karolin Seeger 2010-02-15 09:41:05 UTC
Pushed to v3-5-test.
Closing out bug report.

Thanks!